"""==============================================================
منطق برنامه ای را طراحی کنید که یک عدد طبیعی ۶ رقمی را در ورودی
دریافت کند و ارقام آن را در آرایه ای به نام D ذخیره کند. سپس
ارقام آنرا به صورت نزولی مرتب کند و ارقام را به صورت نزولی و
صعودی نمایش دهد
=============================================================="""

number = input("Please enter your number: ")
D = []
for i in number:
    D.append(int(i))

#---------------مرتب سازی با الگوریتم جابجایی-----------
for i in range(len(D)):
    min = D[i]
    index = i
    for j in range(i+1,len(D)):
        if D[j] < min:
            min = D[j]
            index = j
    temp = D[i]
    D[i] = D[index]
    D[index] = temp

print(D)
